The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> isascii - test for a 7-bit US-ASCII character

#### SYNOPSIS

> ``[OB XSI] #include <ctype.h>
> int isascii(int` c`);``
> `
> `

#### DESCRIPTION

> The isascii() function shall test whether c is a 7-bit US-ASCII character code.

> The isascii() function is defined on all integer values.

#### RETURN VALUE

> The isascii() function shall return non-zero if c is a 7-bit US-ASCII character code between 0 and octal 0177 inclusive; otherwise, it shall return 0.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The isascii() function cannot be used portably in a localized application.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> The isascii() function may be removed in a future version.

#### SEE ALSO

> XBD <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 7

> The isascii() function is marked obsolescent.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]